View Issue Details

IDProjectCategoryLast Update
0022169AI War 2[All Projects] SuggestionDec 2, 2019 4:33 pm
ReporterRanakastraszAssigned ToRocketAssistedPuffin 
Severitytweak 
Status resolvedResolutionfixed 
Product Version1.007 The Player/AI Arms Race Intensifies 
Fixed in Version 
Summary0022169: Mine Revamp
DescriptionMines are cool, and far more reasonable to use than AI Wars Fleet Command, due to per-planet cap (kinda)

However, they have two issues.

One, they are clearly mines, not minefields. While yes, Graphics/Gameplay issues are kinda OK, the fact the entire minefield goes off at once, instead of a few mines at a time, is kinda annoying, because it tends to only effect the first few ships.

Two, They take up too much space, and are hard to place.

I am unsure if everything is bigger, or the maps are smaller, but a lot of things take up space, with "Minefields" being the most blatant. (Admittedly, shields fit way less stuff under them, and other stuff, but mines actually are causing me problems)

I am of the opinion that mines should have less "Yes" self damage on damage, and more, 0000003:0000005 shots, with 1 second cooldowns. (And 1/5th damage/debuff rate, or else 0000001:0000001/5th population cap)

They should probably be cloaked, although the hardcoded(?) 5 shots may be a problem.
They should have target restrictions (so you can have ship types that can ignore mines, aside from cloakys)

 As for "Hard to Place" I am putting that in a separate suggestion.
TagsNo tags attached.

Activities

RocketAssistedPuffin

Nov 11, 2019 6:35 am

reporter   ~0054497

They used to be multi-use. But that caused problems, like Military Command Stations boosting their damage causing them to actually self kill quicker, which in the case of Paralysis reduces their main effect. Then Engineers would try to repair them, which was also kinda weird and caused a few more problems.

Then there are issues with the Mark levels, since for example a MK7 Mine has 5.4x the damage, but only 4x the health, meaning it'll probably kill itself before firing every shot. Same issue for Paralysis.

There was a lot of weirdness. I doubt I'd be swapping them back if I don't have solutions to all of that. It was just far simpler to make them one shot and bypass everything at the time.

They do have cloaking.

Ranakastrasz

Nov 11, 2019 12:13 pm

reporter   ~0054499

Makes sense. And since you don't want immunities or too many modifiers, that can't be easily fixed. Either by no damage amp, or a set amount of self damage.
And yes, repair is annoying, and again, immunity to repair but regen vs repair but no regen, or both together stuff was being removed.

I assume that the mark level issue is because you use a function to determine stats per mark level, instead of data for each level, hence the floating point errors everywhere? And so you can't just compensate by adjusting the attrition damage.

I completely missed them having cloaking. Not sure how....

That just leaves the size/Population cap, and annoyance of placing them compared to turrets.

RocketAssistedPuffin

Nov 11, 2019 12:26 pm

reporter   ~0054504

Yeah, each Mark has multipliers on it, rather than like Classic where each Mark was a separate unit.

I guess size could be lowered a bit further.

Ranakastrasz

Nov 11, 2019 9:35 pm

reporter   ~0054525

Given their new functionality, is there a reason for still having them have graphics of multiple mines and being called minefields, instead of just mines?

RocketAssistedPuffin

Dec 2, 2019 4:33 pm

reporter   ~0054776

I have the files to allow for them to detonate multiple times with none of the old issues, but they need to be checked by others and tested more.

Marking resolved for now anyhow.

Issue History

Date Modified Username Field Change
Nov 10, 2019 10:33 pm Ranakastrasz New Issue
Nov 11, 2019 6:35 am RocketAssistedPuffin Note Added: 0054497
Nov 11, 2019 12:13 pm Ranakastrasz Note Added: 0054499
Nov 11, 2019 12:26 pm RocketAssistedPuffin Note Added: 0054504
Nov 11, 2019 9:35 pm Ranakastrasz Note Added: 0054525
Dec 2, 2019 4:33 pm RocketAssistedPuffin Assigned To => RocketAssistedPuffin
Dec 2, 2019 4:33 pm RocketAssistedPuffin Status new => resolved
Dec 2, 2019 4:33 pm RocketAssistedPuffin Resolution open => fixed
Dec 2, 2019 4:33 pm RocketAssistedPuffin Note Added: 0054776